| 1.0.2 API documentation

Typedefs
GLM_EXT_vector_uint1_sized
Stable extensions

## Typedefs
typedef vec< 1, uint16, defaultp > | u16vec1
| 16 bit unsigned integer vector of 1 component type. More...
typedef vec< 1, uint32, defaultp > | u32vec1
| 32 bit unsigned integer vector of 1 component type. More...
typedef vec< 1, uint64, defaultp > | u64vec1
| 64 bit unsigned integer vector of 1 component type. More...
typedef vec< 1, uint8, defaultp > | u8vec1
| 8 bit unsigned integer vector of 1 component type. More...

## Detailed Description

Exposes sized unsigned integer vector types.

Include <glm/ext/vector_uint1_sized.hpp> to use the features of this extension.

See also
  GLM_EXT_scalar_uint_sized
  GLM_EXT_vector_int1_sized

## Typedef Documentation

## ◆ u16vec1

typedef vec< 1, u16, defaultp > u16vec1

16 bit unsigned integer vector of 1 component type.

See also
  GLM_EXT_vector_uint1_sized

Definition at line 36 of file vector_uint1_sized.hpp.

## ◆ u32vec1

typedef vec< 1, u32, defaultp > u32vec1

32 bit unsigned integer vector of 1 component type.

See also
  GLM_EXT_vector_uint1_sized

Definition at line 41 of file vector_uint1_sized.hpp.

## ◆ u64vec1

typedef vec< 1, u64, defaultp > u64vec1

64 bit unsigned integer vector of 1 component type.

See also
  GLM_EXT_vector_uint1_sized

Definition at line 46 of file vector_uint1_sized.hpp.

## ◆ u8vec1

typedef vec< 1, u8, defaultp > u8vec1

8 bit unsigned integer vector of 1 component type.

See also
  GLM_EXT_vector_uint1_sized

Definition at line 31 of file vector_uint1_sized.hpp.